let canv = document.getElementById('fullCanvas');
canv.id = canv.className = 'mainCanvas';
let c;
let baseImage = {asdf:1}, baseImageBlob = {};
let borderThickness = 0, borderColor = '#000000';
let textSize = {value: 16}, textColor = '#000000', text='';


function getBounds(){
  canv.width = baseImage.width + parseInt(borderThickness.value); // || parseFloat(getComputedStyle(canv).width); 
  canv.height =  baseImage.height + parseInt(borderThickness.value) + ((text.value != '')? parseInt(textSize.value) + 10 + parseInt(borderThickness.value): 0); // || parseFloat(getComputedStyle(canv).height);
  c = canv.getContext('2d');
}
getBounds();

window.addEventListener('resize', document.Update);
borderThickness = document.getElementById('borderThickness');
borderColor = document.getElementById('borderColor');

text = document.getElementById('text');
textSize = document.getElementById('textSize');
textColor = document.getElementById('textColor');

document.Update = async ()=>{
  if (document.getElementById('baseImage').files.lenght == 0) return;
  
  baseImageBlob = document.getElementById('baseImage').files[0];
  baseImage = await createImageBitmap(baseImageBlob);
  
  getBounds();

  console.log(baseImage);
  console.log(canv.height);
  
  c.drawImage(baseImage, borderThickness.value/2, borderThickness.value/2);
  
  if (borderThickness.value != 0){
    c.rect(0, 0, canv.width, canv.height);
    c.lineWidth = borderThickness.value;
    c.strokeStyle = borderColor.value;
    c.stroke();    
    
    if (text.value != ''){
      c.moveTo(0, baseImage.height + parseInt(borderThickness.value)*0.75);
      c.lineTo(canv.width, baseImage.height + parseInt(borderThickness.value)*0.75);
      c.lineWidth = borderThickness.value/2;
      c.stroke();    
    }
  }
  
  if (text.value == '') return;
  c.font = `${textSize.value}px Arial`;
  c.fillStyle = textColor.value;
  c.textAlign = 'center';
  //c.fillText(text.value, canv.width/2, baseImage.height + parseInt(borderThickness.value)*1 + 2.5 + parseInt(textSize.value));
  c.fillText(text.value, canv.width/2, canv.height - parseInt(borderThickness.value) - 5);
  
}
