//FIX POSITIONING OF HANDLES
const root = document.querySelector(":root");
const cRoot = getComputedStyle(root);

function getHeight(cStyle) {
  return `${Math.round(parseFloat(cStyle.paddingTop) + parseFloat(cStyle.height)+ parseFloat(cStyle.paddingBottom))}px`;
}

const resetSize = () => window.dispatchEvent(new Event('resize'));


//Initialize
window.addEventListener("resize", initialize);
function initialize() {
  //I set the navTab height to the height of the top nav
  root.style.setProperty(
    "--navTabHeight",
    getHeight(getComputedStyle(document.getElementById("navTab")))
  );
  
  if (document.getElementById("rightHandle") == null){
    root.style.setProperty("--rightHandleWidth", "0px");
  }
}

const LeftHandleWidth = cRoot.getPropertyValue("--leftHandleWidth");
function MoveLeftHandle() {
  if (cRoot.getPropertyValue("--leftHandleWidth") != "20px") {
    root.style.setProperty("--leftHandleWidth", "20px");
    root.style.setProperty("--leftHandleOpacity", "0");
  } else {
    root.style.setProperty("--leftHandleWidth", LeftHandleWidth);
    root.style.setProperty("--leftHandlePos", "0px");
    root.style.setProperty("--leftHandleOpacity", "1");
  }
  setTimeout(resetSize, 1000);
}

const RightHandleWidth = cRoot.getPropertyValue("--rightHandleWidth");
function MoveRightHandle() {
  if (cRoot.getPropertyValue("--rightHandleWidth") != "20px") {
    root.style.setProperty("--rightHandleWidth", "20px");
    root.style.setProperty("--rightHandleOpacity", "0");
  } else {
    root.style.setProperty("--rightHandleWidth", RightHandleWidth);
    root.style.setProperty("--rightHandleOpacity", "1");
  }
  setTimeout(resetSize, 1000);
}

setTimeout(initialize, 20);